spandsp: complex_vector_float.c File Reference

spandsp 0.0.6

Macros | Functions
complex_vector_float.c File Reference
`#include <inttypes.h>`
`#include <stdlib.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include <assert.h>`
`#include "floating_fudge.h"`
`#include "mmx_sse_decs.h"`
`#include "spandsp/telephony.h"`
`#include "spandsp/logging.h"`
`#include "spandsp/complex.h"`
`#include "spandsp/vector_float.h"`
`#include "spandsp/complex_vector_float.h"`

## Macros
#define | LMS_LEAK_RATE 0.9999f

## Functions
void | cvec_mulf (complexf_t z[], const complexf_t x[], const complexf_t y[], int n)
void | cvec_mul (complex_t z[], const complex_t x[], const complex_t y[], int n)
complexf_t | cvec_dot_prodf (const complexf_t x[], const complexf_t y[], int n)
| Find the dot product of two complex float vectors.
complex_t | cvec_dot_prod (const complex_t x[], const complex_t y[], int n)
| Find the dot product of two complex double vectors.
complexf_t | cvec_circular_dot_prodf (const complexf_t x[], const complexf_t y[], int n, int pos)
| Find the dot product of two complex float vectors, where the first is a circular buffer with an offset for the starting position.
void | cvec_lmsf (const complexf_t x[], complexf_t y[], int n, const complexf_t *error)
void | cvec_circular_lmsf (const complexf_t x[], complexf_t y[], int n, int pos, const complexf_t *error)

## Function Documentation

## ◆ cvec_circular_dot_prodf()

complexf_t cvec_circular_dot_prodf | ( | const complexf_t | x[],
|  | const complexf_t | y[],
|  | int | n,
|  | int | pos
| ) |  |

Find the dot product of two complex float vectors, where the first is a circular buffer with an offset for the starting position.

Parameters

  x | The first vector.
  y | The first vector.
  n | The number of elements in the vectors.
  pos | The starting position in the x vector.

Returns
  The dot product of the two vectors.

References cvec_dot_prodf().

## ◆ cvec_dot_prod()

complex_t cvec_dot_prod | ( | const complex_t | x[],
|  | const complex_t | y[],
|  | int | n
| ) |  |

Find the dot product of two complex double vectors.

Parameters

  x | The first vector.
  y | The first vector.
  n | The number of elements in the vectors.

Returns
  The dot product of the two vectors.

References complex_t::im, and complex_t::re.

## ◆ cvec_dot_prodf()

complexf_t cvec_dot_prodf | ( | const complexf_t | x[],
|  | const complexf_t | y[],
|  | int | n
| ) |  |

Find the dot product of two complex float vectors.

Parameters

  x | The first vector.
  y | The first vector.
  n | The number of elements in the vectors.

Returns
  The dot product of the two vectors.

References complexf_t::im, and complexf_t::re.

Referenced by cvec_circular_dot_prodf().